# Uses of Interface
org.bukkit.Chunk

Packages that use Chunk
Package
Description
io.papermc.paper.event.packet
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.world
`Events` triggered by various `world` states or changes.
org.bukkit.generator
Classes to facilitate `world` generation implementation.

## Uses of Chunk in io.papermc.paper.event.packet

Constructors in io.papermc.paper.event.packet with parameters of type Chunk
Modifier
Constructor
Description
``
`PlayerChunkLoadEvent(@NotNull Chunk chunk, @NotNull Player player)`
``
`PlayerChunkUnloadEvent(@NotNull Chunk chunk, @NotNull Player player)`

## Uses of Chunk in org.bukkit

Methods in org.bukkit that return Chunk
Modifier and Type
Method
Description
`@NotNull Chunk`
Location.`getChunk()`
Gets the chunk at the represented location
`@NotNull Chunk`
World.`getChunkAt(int x, int z)`
Gets the `Chunk` at the given coordinates
`default @NotNull Chunk`
World.`getChunkAt(long chunkKey)`
Gets the chunk at the specified chunk key, which is the X and Z packed into a long.
`@NotNull Chunk`
World.`getChunkAt(@NotNull Block block)`
Gets the `Chunk` that contains the given `Block`
`@NotNull Chunk`
World.`getChunkAt(@NotNull Location location)`
Gets the `Chunk` at the given `Location`
`@NotNull Chunk[]`
World.`getLoadedChunks()`
Gets an array of all loaded `Chunk`s
Methods in org.bukkit that return types with arguments of type Chunk
Modifier and Type
Method
Description
`default CompletableFuture<Chunk>`
World.`getChunkAtAsync(int x, int z)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default CompletableFuture<Chunk>`
World.`getChunkAtAsync(int x, int z, boolean gen)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`CompletableFuture<Chunk>`
World.`getChunkAtAsync(int x, int z, boolean gen, boolean urgent)`
`default CompletableFuture<Chunk>`
World.`getChunkAtAsync(@NotNull Block block)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default CompletableFuture<Chunk>`
World.`getChunkAtAsync(@NotNull Block block, boolean gen)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default CompletableFuture<Chunk>`
World.`getChunkAtAsync(@NotNull Location loc)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default CompletableFuture<Chunk>`
World.`getChunkAtAsync(@NotNull Location loc, boolean gen)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default CompletableFuture<Chunk>`
World.`getChunkAtAsyncUrgently(int x, int z)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default CompletableFuture<Chunk>`
World.`getChunkAtAsyncUrgently(@NotNull Block block)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default CompletableFuture<Chunk>`
World.`getChunkAtAsyncUrgently(@NotNull Block block, boolean gen)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default CompletableFuture<Chunk>`
World.`getChunkAtAsyncUrgently(@NotNull Location loc)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default CompletableFuture<Chunk>`
World.`getChunkAtAsyncUrgently(@NotNull Location loc, boolean gen)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`@NotNull Collection<Chunk>`
World.`getForceLoadedChunks()`
Returns all force loaded chunks in this world.
`@NotNull Map<Plugin,Collection<Chunk>>`
World.`getPluginChunkTickets()`
Returns a map of which plugins have tickets for what chunks.
Methods in org.bukkit with parameters of type Chunk
Modifier and Type
Method
Description
`default void`
World.ChunkLoadCallback.`accept(@NotNull Chunk chunk)`
Deprecated.
`boolean`
World.`isChunkLoaded(@NotNull Chunk chunk)`
Checks if the specified `Chunk` is loaded
`void`
World.`loadChunk(@NotNull Chunk chunk)`
Loads the specified `Chunk`.
`void`
World.ChunkLoadCallback.`onLoad(@NotNull Chunk chunk)`
Deprecated.
`boolean`
World.`unloadChunk(@NotNull Chunk chunk)`
Safely unloads and saves the `Chunk` at the specified coordinates
Method parameters in org.bukkit with type arguments of type Chunk
Modifier and Type
Method
Description
`default void`
World.`getChunkAtAsync(int x, int z, boolean gen, Consumer<Chunk> cb)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default void`
World.`getChunkAtAsync(int x, int z, Consumer<Chunk> cb)`
Requests a `Chunk` to be loaded at the given coordinates This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default void`
World.`getChunkAtAsync(@NotNull Block block, boolean gen, Consumer<Chunk> cb)`
Requests `Chunk` to be loaded that contains the given `Block` This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default void`
World.`getChunkAtAsync(@NotNull Block block, Consumer<Chunk> cb)`
Requests `Chunk` to be loaded that contains the given `Block` This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default void`
World.`getChunkAtAsync(@NotNull Location loc, boolean gen, Consumer<Chunk> cb)`
Requests a `Chunk` to be loaded at the given `Location` This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.
`default void`
World.`getChunkAtAsync(@NotNull Location loc, Consumer<Chunk> cb)`
Requests a `Chunk` to be loaded at the given `Location` This method makes no guarantee on how fast the chunk will load, and will return the chunk to the callback at a later time.

## Uses of Chunk in org.bukkit.block

Methods in org.bukkit.block that return Chunk
Modifier and Type
Method
Description
`@NotNull Chunk`
Block.`getChunk()`
Gets the chunk which contains this block
`@NotNull Chunk`
BlockState.`getChunk()`
Gets the chunk which contains the block represented by this block state.

## Uses of Chunk in org.bukkit.entity

Methods in org.bukkit.entity that return Chunk
Modifier and Type
Method
Description
`default @NotNull Chunk`
Entity.`getChunk()`
Gets the latest chunk an entity is currently or was in.

## Uses of Chunk in org.bukkit.event.world

Fields in org.bukkit.event.world declared as Chunk
Modifier and Type
Field
Description
`protected Chunk`
ChunkEvent.`chunk`
Methods in org.bukkit.event.world that return Chunk
Modifier and Type
Method
Description
`@NotNull Chunk`
ChunkEvent.`getChunk()`
Gets the chunk being loaded/unloaded
Constructors in org.bukkit.event.world with parameters of type Chunk
Modifier
Constructor
Description
`protected`
`ChunkEvent(@NotNull Chunk chunk)`
``
`ChunkLoadEvent(@NotNull Chunk chunk, boolean newChunk)`
``
`ChunkPopulateEvent(@NotNull Chunk chunk)`
``
`ChunkUnloadEvent(@NotNull Chunk chunk)`
``
`ChunkUnloadEvent(@NotNull Chunk chunk, boolean save)`
``
`EntitiesLoadEvent(@NotNull Chunk chunk, @NotNull List<Entity> entities)`
``
`EntitiesUnloadEvent(@NotNull Chunk chunk, @NotNull List<Entity> entities)`

## Uses of Chunk in org.bukkit.generator

Methods in org.bukkit.generator with parameters of type Chunk
Modifier and Type
Method
Description
`void`
BlockPopulator.`populate(@NotNull World world, @NotNull Random random, @NotNull Chunk source)`
Deprecated.
Use `BlockPopulator.populate(WorldInfo, Random, int, int, LimitedRegion)`